Zum Inhalt springen

Omnilottie · Video to Lottie

Integrieren

Modell-ID omnilottie/video-to-lottie
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie/video-to-lottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,05 $ 50 API-Credits · ≈ 5,38 ₽ Auf dieser Seite ausführen

API-Schlüssel abrufen
Open model Sonstiges #lottie

Konvertiert ein Video in eine Lottie-JSON-Animation mit optionalem Text-Prompt zur Steuerung

Open model · Datei

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

0 / 2000

Optionaler beschreibender Text zur Steuerung der Konvertierung.

•erforderlich video_url
Datei ablegen oder

Quellvideo-URL zur Konvertierung in eine Lottie-Animation.

Erweitert max_tokens · temperature · top_p · top_k
Standard 4096

Obergrenze der generierten Lottie-Token.

Standard 0.9

Beim Sampling während der Generierung verwendete Temperatur.

Standard 0.25

Wahrscheinlichkeitsgrenze für Nucleus-Sampling.

Standard 5

Einstellung für Top-k-Sampling.

POST /run/omnilottie/video-to-lottie?wait=20 Preis → 0,05 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie/video-to-lottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Omnilottie · Video to Lottie

Konvertiert den Clip unter `video_url` in eine Lottie-Animation und liefert sie als JSON-Datei. Ein `prompt` mit bis zu 2,000 Zeichen ist optional und kann die Konvertierung steuern. `max_tokens` reicht von 256 bis 8192, während `temperature`, `top_p` und `top_k` das Sampling anpassen.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
promptoptional
Typstring | null
≤ 2.000 Zeichen
Optionaler beschreibender Text zur Steuerung der Konvertierung.
video_urlerforderlich video
Typurl · video
Quellvideo-URL zur Konvertierung in eine Lottie-Animation.
max_tokensoptional
Typinteger
Standard4096
256 – 8.192
Obergrenze der generierten Lottie-Token.
temperatureoptional
Typnumber
Standard0.9
0 – 2
Beim Sampling während der Generierung verwendete Temperatur.
top_poptional
Typnumber
Standard0.25
0 – 1
Wahrscheinlichkeitsgrenze für Nucleus-Sampling.
top_koptional
Typinteger
Standard5
1 – 100
Einstellung für Top-k-Sampling.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnilottie/video-to-lottie",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "lottie_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
lottie_file
object {url, content_type, file_name, file_size}JSON-Datei mit der generierten Lottie-Animation.

Weitere Modelle: Sonstiges

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/omnilottie/video-to-lottie.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt